### Method

# GimpUi ProcedureDialog fill_flowbox

#### Declaration [src]

    GtkWidget*
    gimp_procedure_dialog_fill_flowbox (
      GimpProcedureDialog* dialog,
      const gchar* container_id,
      const gchar* first_property,
      ...
    )

#### Description [src]

Creates and populates a new `GtkFlowBox` with widgets corresponding to every listed properties. If the list is empty, the created flowbox will be filled by the whole list of properties of the associated `GimpProcedure`, in the defined order. This is similar of how `gimp_procedure_dialog_fill()` works except that it creates a new widget which is not inside `dialog` itself.

The `container_id` must be a unique ID which is neither the name of a property of the `GimpProcedureConfig` associated to `dialog`, nor is it the ID of any previously created container. This ID can later be used together with property names to be packed in other containers or inside `dialog` itself.

This method is not directly available to language bindings.

The implementation of this method is provided by `gimp_procedure_dialog_fill_flowbox_list()` in language bindings.

#### Parameters

`container_id`

  Type: `const gchar*`

  A container identifier.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`first_property`

  Type: `const gchar*`

  The first property name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  A `NULL`-terminated list of other property names.

#### Return value

Type: `GtkWidget`

The `GtkFlowBox` representing `property`. The object belongs to `dialog` and must not be freed.

The returned data is owned by the instance.